Play Stream - Get Segment Player Count
Returns the total number of players in a given segment.
POST https://titleId.playfabapi.com/Admin/GetSegmentPlayerCount
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-SecretKey | True |
string |
This API requires a title secret key, available to title admins, from PlayFab Game Manager. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| SegmentId | True |
string |
Unique identifier for the requested segment. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-SecretKey
This API requires a title secret key, available to title admins, from PlayFab Game Manager.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Api |
The basic wrapper around every failed API response |
|
Get |
Request must contain a valid Segment ID. |
|
Get |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
GetSegmentPlayerCountRequest
Request must contain a valid Segment ID.
| Name | Type | Description |
|---|---|---|
| SegmentId |
string |
Unique identifier for the requested segment. |
GetSegmentPlayerCountResult
| Name | Type | Description |
|---|---|---|
| ProfilesInSegment |
number |
Count of profiles matching this segment. |
Error Codes
| Name | Code |
|---|---|
| GetSegmentPlayerCountNotInFlight | 10016 |
| GetSegmentPlayerCountRateLimitExceeded | 10017 |
| InternalServerError | 1110 |
| InvalidSegment | 1242 |
| ProductDisabledForTitle | 1609 |
| SegmentNotFound | 1220 |